<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTblAdmin extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_admin', function (Blueprint $table) {
            $table->id();
            $table->enum('role', ['0', '1'])->comment('0 => masteradmin, 1 => subadmin');
            $table->string('fullname',64);
            $table->string('email',128);
            $table->string('country_code',16);
            $table->string('phone_number',16);
            $table->string('password',256);
            $table->date('last_login')->nullable();
            $table->date('forgot_password')->nullable();
            $table->tinyInteger('is_active')->default('1')->comment('0 => inactive, 1 => active');
            $table->tinyInteger('is_deleted')->default('0')->comment('0 => Not deleted, 1 => deleted');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent(); 
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_admin');
    }
}
