<!DOCTYPE html>
<html>

<head>
    <title>iContact Add Card</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
    <meta name="author" content="Coderthemes">

    <link rel="shortcut icon" href="{{asset('assets/admin/upload/logo.png')}}">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet" />
    <script src="{{asset('assets/admin/js/jquery.min.js')}}"></script>

    @include('admin.common.style')

</head>

<body class="widescreen fixed-left">

    <!-- Begin page class="widescreen fixed-left-void" class="forced enlarged"-->
    <div id="wrapper" class="forced">

        <!-- Start header -->
        @include('admin.common.header')
        <!-- End header-->

        <!-- ============================================================== -->
        <!-- Start right Content here -->
        <!-- ============================================================== -->
        <div class="content-page">
            <!-- Start content -->
            <div class="content">
                <div class="container">

                    <!-- Page-Title -->
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="page-title">Add Card</h4>
                            <ol class="breadcrumb">
                                <li><a href="{{url('admin/dashboard')}}">iContact</a></li>
                                <li><a href="{{url('admin/card')}}">Manage Card</a></li>
                                <li class="active">Add Card</li>
                            </ol>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card-box">
                                <div class="card card-primary">
                                    <div class="card-header">
                                        <h3 class="card-title"><b class='form-title'>Add Card Form</b></h3>
                                    </div>
                                    <br>
                                    <!-- /.card-header -->
                                    <!-- form start -->
                                    <select id="select-search" class="js-example-basic-single">
                                    </select>
                                    <button id='create-card' class='btn btn_color'>Create</button>
                                    <div class="card-body">

                                        <!--------------------------Personl Card------------------------------>
                                        <div class='create-personal-card'>
                                            <form action="" class='cardForm' enctype="multipart/form-data">
                                                @csrf
                                                <input type="hidden" class='card-type' name='card-type'
                                                    value='personal'>
                                                <input type="hidden" id='puserId' name='userid' value=''>

                                                <div class="form-group" class='card-image'>
                                                    <span id="uploadImageSpan">
                                                        <img id="previewImage"
                                                            src="{{asset('assets/admin/upload/add-image.png')}}"
                                                            class="img img-responsive preview_image" height="100px"
                                                            width="100px" onclick="uploadImage()" />
                                                    </span>
                                                    <input type="file" class="form-control input d-none"
                                                        accept="image/*" name="image" id="profile_picture"
                                                        onchange="uploadImageEvent(event)" style="display: none;" />
                                                    <span id="errorSpan" class="error text-danger"></span>
                                                    <span class='text-danger'>
                                                        @error('profile_image')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <div class="form-group">
                                                    <label>User Name*</label>
                                                    <input type="text" name="name" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter User Name"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter USer Name"
                                                        value="{{old('name')}}">
                                                    <span class='text-danger'>
                                                        @error('type')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <div class="form-group">
                                                    <label for="exampleInputEmail1">Email ID*</label>
                                                    <input type="email" name="email" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Email ID"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Email ID"
                                                        value="{{old('email')}}">
                                                    <span class='text-danger'>
                                                        @error('email')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <div class="form-group">
                                                    <label>Country Code*</label>
                                                    <input type="text" name="country_code" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Country Code"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Country Code"
                                                        data-parsley-pattern="^\+[0-9]{1,32}$"
                                                        data-parsley-pattern-message="Enter a valid country code"
                                                        value="{{old('country_code')}}">
                                                    <span class='text-danger'>
                                                        @error('country_code')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <div class="form-group">
                                                    <label>Phone Number*</label>
                                                    <input type="text" name="mobile_number" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Phone Number"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Phone Number"
                                                        data-parsley-type="digits" data-parsley-length="[1, 128]"
                                                        data-parsley-length-message="Phone number must be between 1 and 128 digits long"
                                                        value="{{old('mobile_number')}}">
                                                    <span class='text-danger'>
                                                        @error('mobile_number')
                                                        {{$message}}
                                                        @enderror
                                                    </span>

                                                </div>

                                                <div class="form-group">
                                                    <label for="exampleInputEmail1">Date Of Birth*</label>
                                                    <input type="date" name="dob" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Date Of Born"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Email Id"
                                                        value="{{old('dob')}}">
                                                    <span class='text-danger'>
                                                        @error('dob')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>


                                                <div class="form-group">
                                                    <label for="exampleInputEmail1">Compay Name*</label>
                                                    <input type="test" name="company" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Company Name"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Company Name"
                                                        value="{{old('company')}}">
                                                    <span class='text-danger'>
                                                        @error('company')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <div class="form-group">
                                                    <label for="exampleInputEmail1">Designation*</label>
                                                    <input type="text" name="designation" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Designation"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Email Id"
                                                        value="{{old('designation')}}">
                                                    <span class='text-danger'>
                                                        @error('designation')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <!-- /.card-body -->
                                                <div class="card-footer">
                                                    <button type="submit" class="btn btn_color"
                                                        id='add_user'>Submit</button>
                                                </div>
                                            </form>
                                        </div>

                                        <!--------------------------Business Card------------------------------>
                                        <div class='create-business-card'>
                                            <form action="" class='cardForm' enctype="multipart/form-data">
                                                @csrf
                                                <input type="hidden" class='card-type' name='card-type'
                                                    value='business'>
                                                <input type="hidden" id='buserid' name='userid' value=''>

                                                <div class="form-group" class='card-image'>
                                                    <span id="uploadImageSpan">
                                                        <img id="previewImage"
                                                            src="{{asset('assets/admin/upload/add-image.png')}}"
                                                            class="img img-responsive preview_image" height="100px"
                                                            width="100px" onclick="uploadImage()" />
                                                    </span>
                                                    <input type="file" class="form-control input d-none"
                                                        accept="image/*" name="image" id="profile_picture"
                                                        onchange="uploadImageEvent(event)" style="display: none;" />
                                                    <span id="errorSpan" class="error text-danger"></span>
                                                    <span class='text-danger'>
                                                        @error('profile_image')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <div class="form-group">
                                                    <label>Business Name*</label>
                                                    <input type="text" name="email" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter User Name"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter USer Name"
                                                        value="{{old('name')}}">
                                                    <span class='text-danger'>
                                                        @error('type')
                                                        {{$message}}
                                                        @enderror
                                                </div>

                                                <div class="form-group">
                                                    <label for="exampleInputEmail1">Designation*</label>
                                                    <input type="text" name="designation" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Email Id"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Email Id"
                                                        value="{{old('designation')}}">
                                                    <span class='text-danger'>
                                                        @error('designation')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <div class="form-group">
                                                    <label for="exampleInputEmail1">Email ID*</label>
                                                    <input type="email" name="email" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Email Id"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Email Id"
                                                        value="{{old('email')}}">
                                                    <span class='text-danger'>
                                                        @error('email')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <div class="form-group">
                                                    <label>Country Code</label>
                                                    <input type="text" name="country_code" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Country Code"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Country Code"
                                                        data-parsley-pattern="^\+[0-9]{1,32}$"
                                                        data-parsley-pattern-message="Enter a valid country code"
                                                        value="{{old('country_code')}}">
                                                    <span class='text-danger'>
                                                        @error('country_code')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <div class="form-group">
                                                    <label>Phone Number</label>
                                                    <input type="text" name="mobile_number" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Phone Number"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Phone Number"
                                                        data-parsley-type="digits" data-parsley-length="[1, 128]"
                                                        data-parsley-length-message="Phone number must be between 1 and 128 digits long"
                                                        value="{{old('mobile_number')}}">
                                                    <span class='text-danger'>
                                                        @error('mobile_number')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <div class="form-group">
                                                    <label for="exampleInputEmail1">Address</label>
                                                    <input type="text" name="email" class="form-control"
                                                        id="exampleInputEmail1" placeholder="Enter Address"
                                                        data-parsley-required="true"
                                                        data-parsley-required-message="Enter Address"
                                                        value="{{old('adderss')}}">
                                                    <span class='text-danger'>
                                                        @error('adderss')
                                                        {{$message}}
                                                        @enderror
                                                    </span>
                                                </div>

                                                <!-- /.card-body -->
                                                <div class="card-footer">
                                                    <button type="submit" class="btn btn_color"
                                                        id='add_user'>Submit</button>
                                                </div>
                                            </form>
                                        </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- end row -->
                </div> <!-- container -->
            </div> <!-- content -->
            @include('admin.common.footer')
            @include('admin.common.script')

            <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
            <script type="text/javascript"
                src="{{asset('assets/admin/plugins/parsleyjs/dist/parsley.min.js')}}"></script>

        </div>
    </div>
    <!-- END wrapper -->

    <script>

        //============================== Hide Form =================================
        $(document).ready(function () {
            $('.create-personal-card').hide();
            $('.create-business-card').hide();

            $('#personal-card-btn').click(function () {
                $('.create-personal-card').show();
                $('.create-business-card').hide();
            });
        });

        //========================= Image ========================================
        function uploadImage() {
            document.getElementById('profile_picture').click();
        }

        function uploadImageEvent(event) {
            var file = event.target.files[0];
            var reader = new FileReader();
            reader.onload = function (e) {
                document.getElementById('previewImage').src = e.target.result;
            };
            reader.readAsDataURL(file);
        }

        //============================ Search User ================================
        // $(document).ready(function () {
        //     $('#select-search').select2({
        //         placeholder: 'Search for a user',
        //         minimumInputLength: 2,
        //         ajax: {
        //             url: '{{ url("admin/search-user") }}',
        //             dataType: 'json',
        //             delay: 250,
        //             processResults: function (data) {
        //                 return {
        //                     results: $.map(data.data, function (user) {
        //                         return {
        //                             id: user.id,
        //                             text: user.full_name,
        //                             usertype: user.user_type
        //                         };
        //                     })
        //                 };
        //             },
        //             cache: true
        //         },
        //         templateResult: function (data) {
        //             if (!data.id) { return data.text; }
        //             var userType = (data.usertype == 'C') ? 'Corporate' : 'Personal';
        //             var $result = $('<span class="user-card-type" id=' + userType + '>' + data.text + ' - ' + userType + '</span>');
        //             return $result;
        //         }
        //     });
        // });

        //===================== Search User using Select 2 ============================
        $(document).ready(function () {

            $('#select-search').select2({
                placeholder: 'Search for a user',
                minimumInputLength: 2,
                ajax: {
                    url: '{{ url("admin/search-user") }}',
                    dataType: 'json',
                    delay: 250,
                    processResults: function (data) {
                        return {
                            results: $.map(data.data, function (user) {
                                return {
                                    id: user.id,
                                    text: user.full_name,
                                    usertype: user.user_type
                                };
                            })
                        };
                    },
                    cache: true
                },
                templateSelection: function (data) {
                    if (data.usertype) {
                        $(data.element).attr('data-usertype', data.usertype);
                        return data.text;
                    }
                    return data.text;
                }
            });
        });

        //============================ Create Card Form =============================
        $(document).on('click', '#create-card', function (event) {
            event.preventDefault();
            var id = $('#select-search').val();
            var name = $('#select-search').find(":selected").text();
            var usertype = $('#select-search').find(":selected").data('usertype');

            console.log(name, id, usertype);

            if (usertype == 'P') {
                $('#puserId').val(id);

                $('.create-personal-card').show();
                $('.create-business-card').hide();
            } else if (usertype == 'C') {
                console.log("Current value of id:", id);
                $('#buserId').val(id);

                $('.create-business-card').show();
                $('.create-personal-card').hide();
            } else {

            }
        });
        // ============================= Validation ====================================
        $('.cardForm').parsley();

        // ============================= Submit Card ===================================
        $(document).on('submit', '.cardForm', function (e) {
            e.preventDefault();
            console.log('hello');

            var formData = new FormData($(this)[0]);
            var imageFile = $('#profile_picture')[0].files[0];
            formData.append('image', imageFile);

            $.ajax({
                method: "POST",
                url: "{{ url('admin/card-add-post') }}",
                dataType: "json",
                data: formData,
                contentType: false,
                processData: false,
                success: function (data) {
                    //console.log('hiii');
                    window.location.href = "{{ url('admin/card') }}";
                },
                error: function (xhr, status, error) {
                    if (xhr.responseJSON && xhr.responseJSON.errors) {
                        var errorMessages = xhr.responseJSON.errors;
                        $.each(errorMessages, function (key, value) {
                            $('input[name="' + key + '"]').siblings('.text-danger').text(value[0]);
                        });
                    } else {
                        console.error("Error: " + error);
                        console.log(xhr.responseText);
                    }
                }
            });
        });
    </script>
</body>
<html>