<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\admin\AuthController as AdminAuthController;
use App\Http\Controllers\admin\UserController as AdminUserController;
use App\Http\Controllers\admin\CardController as AdminCardController;
use App\Http\Controllers\admin\DashboardController as AdminDashboardController;
use App\Http\Controllers\admin\SubadminController as AdminSubadminController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', function () {
    return view('admin.auth.login');
});
Route::get('/admin/login', function () {
    return view('admin.auth.login');
});

Route::get('/404', function () {
    return view('admin.errors.404');
});

Route::prefix('admin')->group(function () {

    Route::get('/', [AdminAuthController::class, 'login'])->name('admin.login');
    // Route::post('/', [AdminAuthController::class, 'loginData']);
    Route::post('/login', [AdminAuthController::class, 'loginData'])->name('loginData');

    Route::group(['middleware' => 'adminauth'], function () {
        Route::get('/dashboard', [AdminDashboardController::class, 'dashboard'])->name('dashboard');
        Route::get('/logout', [AdminAuthController::class, 'logout'])->name('logout');
        Route::get('/profile', [AdminAuthController::class, 'Profile'])->name('Profile');
        Route::post('/editprofile', [AdminAuthController::class, 'editProfile'])->name('editProfile');
        Route::get('/password', [AdminAuthController::class, 'adminPassword'])->name('password');
        Route::post('/passwordChange', [AdminAuthController::class, 'changePassword'])->name('password');

        Route::get('/user', [AdminUserController::class, 'users'])->name('users');
        Route::get('/user-add', [AdminUserController::class, 'addUsers'])->name('users');
        Route::post('/user-add-post', [AdminUserController::class, 'addUsersData'])->name('users');
        Route::get('/user-view/{id}', [AdminUserController::class, 'viewUsers'])->name('users');
        Route::post('/user-delete', [AdminUserController::class, 'deleteUser'])->name('users');
        Route::get('/user-edit/{id}', [AdminUserController::class, 'editUser'])->name('users');
        Route::post('/user-update', [AdminUserController::class, 'updateUser'])->name('users');
        Route::post('/user-status', [AdminUserController::class, 'statusUser'])->name('users');
        Route::post('/user-approve', [AdminUserController::class, 'approveUser'])->name('users');

        Route::get('/card', [AdminCardController::class, 'cards'])->name('cards');
        Route::get('/search-user', [AdminCardController::class, 'serachUser'])->name('cards');
        Route::get('/card-add', [AdminCardController::class, 'addCard'])->name('cards');
        Route::post('/card-add-post', [AdminCardController::class, 'addCardData'])->name('cards');
        Route::get('/card-view/{id}/{type}', [AdminCardController::class, 'viewCard'])->name('cards');
        Route::post('/card-delete', [AdminCardController::class, 'deleteCard'])->name('cards');
        Route::get('/card-edit/{id}/{type}', [AdminCardController::class, 'editCard'])->name('cards');
        Route::post('/card-update', [AdminCardController::class, 'updateCard'])->name('cards');
        Route::post('/card-status', [AdminCardController::class, 'statusCard'])->name('cards');

        Route::get('/subadmin', [AdminSubadminController::class, 'subAdmin'])->name('subadmin');
        Route::get('/avatar', [AdminSubadminController::class, 'Avatar'])->name('avatar');
        Route::get('/social-media', [AdminSubadminController::class, 'socialMedia'])->name('social-media');
        Route::get('/notifications', [AdminSubadminController::class, 'notification'])->name('notifications');
        Route::get('/report', [AdminSubadminController::class, 'report'])->name('report');

    });
});