<!DOCTYPE html>
<html>

<head>
    <title>IContact Admin Profile</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
    <meta name="author" content="Coderthemes">

    <link rel="shortcut icon" href="<?php echo e(asset('assets/admin/upload/logo.png')); ?>">
    <script src="<?php echo e(asset('assets/admin/js/jquery.min.js')); ?>"></script>

    <?php echo $__env->make('admin.common.style', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</head>

<body class="widescreen fixed-left">

    <!-- Begin page class="widescreen fixed-left-void" class="forced enlarged"-->
    <div id="wrapper" class="forced">

        <!-- Start header -->
        <?php echo $__env->make('admin.common.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!-- End header-->

        <!-- ============================================================== -->
        <!-- Start right Content here -->
        <!-- ============================================================== -->
        <div class="content-page">
            <!-- Start content -->
            <div class="content">
                <div class="container">

                    <!-- Page-Title -->
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="page-title">Profile Details</h4>
                            <p class="text-muted page-title-alt"><b>
                                    <b><?php echo e(Auth::guard('admin')->user()->fullname); ?></b> Welcome to IContact admin
                                    panel !</p>
                        </div>
                    </div>
                    <div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card-box">

                                    <br>
                                    <form action="" data-parsley-validate novalidate method='post' id='adminprofile'>
                                        <?php echo csrf_field(); ?>
                                        <input type="hidden" name="id" id="id" value='<?php echo e($user->id); ?>'>
                                        <div class="form-group">
                                            <label for="userName">Fullname</label>
                                            <input class="form-control" type="text" placeholder="Enter Fullname"
                                                name="fullname" parsley-trigger="change" data-parsley-required="true"
                                                data-parsley-required-message="Enter Fullname"
                                                value="<?php echo e($user->fullname); ?>">
                                            <span class='text-danger'>
                                                <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <?php echo e($message); ?>

                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </span>
                                        </div>
                                        <div class="form-group">
                                            <label for="emailAddress">Email ID</label>
                                            <input type="email" name="email" parsley-trigger="change"
                                                placeholder="Enter email" data-parsley-required="true"
                                                data-parsley-required-message="Enter Email ID" class="form-control"
                                                id="emailAddress" value='<?php echo e($user->email); ?>'>
                                        </div>
                                        <div class="form-group">
                                            <label for="emailAddress">Country Code</label>
                                            <input type="text" name='country_code' data-parsley-required="true"
                                                data-parsley-required-message="Enter Country Code" class="form-control"
                                                value='<?php echo e($user->country_code); ?>'>
                                        </div>
                                        <div class="form-group">
                                            <label for="emailAddress">Phone Number</label>
                                            <input type="text" name="phone_number" parsley-trigger="change"
                                                ata-parsley-required="true"
                                                data-parsley-required-message="Enter Phone Number Number"
                                                placeholder="Enter Phone Number" class="form-control" id="emailAddress"
                                                value='<?php echo e($user->phone_number); ?>'>
                                        </div>

                                        <div class="form-group text-right m-b-0">
                                            <button class="btn btn_color waves-effect waves-light text-uppercase" id=''
                                                type="submit">Save</button>
                                            <!-- <button class="btn btn-primary text-uppercase waves-effect waves-light"
                                                id='update' type="submit" name='update'>Save</button> -->
                                        </div>

                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- end row -->
                </div> <!-- container -->
            </div> <!-- content -->
            <?php echo $__env->make('admin.common.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->make('admin.common.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        </div>
    </div>
    <!-- END wrapper -->
    <script>
        $(document).on('submit', '#adminprofile', function (e) {
            e.preventDefault();
            console.log('hello');

            var formData = new FormData($("#adminprofile")[0]);

            $.ajax({
                method: "POST",
                url: "<?php echo e(url('admin/editprofile')); ?>",
                dataType: "json",
                data: formData,
                contentType: false,
                processData: false,
                success: function (data) {
                    swal({
                        position: 'top-end',
                        type: 'success',
                        title: 'Data Update Successfully!',
                        showConfirmButton: true,
                        timer: 1500
                    })
                },
                error: function (xhr, status, error) {
                    if (xhr.responseJSON && xhr.responseJSON.errors) {
                        var errorMessages = xhr.responseJSON.errors;
                        $.each(errorMessages, function (key, value) {
                            $('input[name="' + key + '"]').siblings('.text-danger').text(value[0]);
                        });
                    } else {
                        console.error("Error: " + error);
                        console.log(xhr.responseText);
                    }
                }
            });
        });
    </script>

</body>

</html><?php /**PATH /var/www/html/Icontact/resources/views/admin/auth/profile.blade.php ENDPATH**/ ?>