<!DOCTYPE html>
<html>

<head>
    <title>iContact Manage User</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="A fully featured admin theme which can be used to build CRM, CMS, etc.">
    <meta name="author" content="Coderthemes">

    <link rel="shortcut icon" href="<?php echo e(asset('assets/admin/upload/logo.png')); ?>">
    <script src="<?php echo e(asset('assets/admin/js/jquery.min.js')); ?>"></script>

    <link rel="" href="https://cdn.datatables.net/rowgroup/1.1.1/css/rowGroup.bootstrap4.min.css" />
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.7.1/css/buttons.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.9/css/responsive.dataTables.min.css">


    <?php echo $__env->make('admin.common.style', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</head>

<body class="widescreen fixed-left">

    <!-- Begin page class="widescreen fixed-left-void" class="forced enlarged"-->
    <div id="wrapper" class="forced">

        <!-- Start header -->
        <?php echo $__env->make('admin.common.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!-- End header-->

        <!-- ============================================================== -->
        <!-- Start right Content here -->
        <!-- ============================================================== -->
        <div class="content-page">
            <!-- Start content -->
            <div class="content">
                <div class="container">

                    <!-- Page-Title -->
                    <div class="row">
                        <div class="col-sm-12">
                            <h4 class="page-title">Manage User</h4>
                            <ol class="breadcrumb">
                                <li><a href="<?php echo e(url('admin/dashboard')); ?>">iContact</a></li>
                                <li class="active">Manage User</li>
                            </ol>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-12">
                            <div class="card-box">
                                <a href="<?php echo e(url('admin/user-add')); ?>" class='btn add_btn'><b><i class='md md-add'></i></b>
                                    Add User</a>
                                <table class="table table-bordered data-table">
                                    <input type="hidden" name="timezone" id="timezone">
                                    <input type="hidden" name="timezone_offset" id="timezone_offset">
                                    <thead>
                                        <tr>
                                            <th>No</th>
                                            <th>Name</th>
                                            <th>Email</th>
                                            <th>Phone Number</th>
                                            <th>Type</th>
                                            <th>Status</th>
                                            <th>Approved</th>
                                            <th>Date</th>
                                            <th width="100px">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
            </div> <!-- container -->
        </div> <!-- content -->
        <?php echo $__env->make('admin.common.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('admin.common.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <link href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css" rel="stylesheet">

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>
        <script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
        <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
        <script src="https://cdn.datatables.net/responsive/2.2.9/js/dataTables.responsive.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.17.1/moment.min.js"></script>
    </div>
    </div>
    <!-- END wrapper -->
    <script>
        //================================== Display User Table ====================================
        $(function () {
            var table = $('.data-table').DataTable({
                responsive: true,
                processing: true,
                serverSide: true,
                ajax: {
                    type: "GET",
                    url: "<?php echo e(url('admin/user')); ?>",
                },
                columns: [
                    { data: 'DT_RowIndex', name: 'DT_RowIndex' },
                    { data: 'full_name', name: 'name' },
                    { data: 'email', name: 'email' },
                    { data: 'mobile_number', name: 'phone' },
                    { data: 'user_type', name: 'type' },
                    { data: 'is_active', name: 'status' },
                    { data: 'is_approve', name: 'status' },
                    { data: 'insert_date', name: 'date' },
                    { data: 'action', name: 'action', orderable: true, searchable: true },
                ],
                columnDefs: [
                    {
                        targets: 3,
                        render: function (data, type, row) {
                            return row.country_code + " " + row.mobile_number;
                        }
                    },
                    {
                        targets: 4,
                        render: function (data, type, row) {
                            return data === 'C' ? 'Corporate' : 'Personal';
                        }
                    },
                    {
                        targets: 5,
                        render: function (data, type, row) {
                            var btnClass = row.is_active === 1 ? 'btn-success' : 'btn-danger';
                            var btnName = row.is_active === 1 ? 'Active' : 'Inactive';
                            return '<a href="<?php echo e(url(" admin /user-status")); ?>" class="status btn btn_color btn-sm ' + btnClass + '" id=' + row.id + ' data-value=' + row.is_active + '><i class="md"></i>' + btnName + '</a>';
                        }
                    },
                    {
                        targets: 6,
                        render: function (data, type, row) {
                            return '<select class="approved" id=' + row.id + '>' +
                                '<option value="0" ' + (row.is_approve === 0 ? 'selected' : '') + ' class="text-primary">Pending</option>' +
                                '<option value="1" ' + (row.is_approve === 1 ? 'selected' : '') + ' class="text-success">Approved</option>' +
                                '<option value="2" ' + (row.is_approve === 2 ? 'selected' : '') + ' class="text-danger">Rejected</option>' +
                                '</select>';
                        }
                    }
                ]
            });
        });
        //================================ Delete User =============================
        $(document).on('click', '.del_btn', function (e) {
            e.preventDefault();
            var id = $(this).attr('id');
            console.log(id);
            swal({
                title: "Are you sure you want to delete?",
                icon: "info",
                buttons: ["Cancel", "Yes"],
                className: "custom-swal",
                customClass: {
                    popup: 'swal-popup-white',
                    confirmButton: 'swal-btn-blue'
                }
            }).then(function (isConfirmed) {
                //console.log('yes');
                if (isConfirmed) {
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(url('admin/user-delete')); ?>",
                        data: {
                            _token: "<?php echo e(csrf_token()); ?>",
                            id: id
                        },
                        success: function (data) {
                            if (data.status === 'success') {
                                swal({
                                    title: "Congratulations!",
                                    text: "User deleted successfully",
                                    icon: "success"
                                });
                                $('.data-table').DataTable().ajax.reload();
                            } else {
                                swal({
                                    title: "Error!",
                                    text: "Failed to delete customer",
                                    icon: "error"
                                });
                            }
                        },
                        error: function (xhr, status, error) {
                            console.error(xhr.responseText);
                        }
                    });
                }
                else {
                    console.log('fail');
                }
            });
        });

        //=============================== Status Of User ===========================
        $(document).on('click', '.status', function (e) {
            e.preventDefault();
            var id = $(this).attr('id');
            var status = $(this).data('value');
            console.log(id);

            swal({
                title: "Are you sure change status?",
                icon: "info",
                buttons: ["Cancel", "Yes"],
                className: "custom-swal",
                customClass: {
                    popup: 'swal-popup-white',
                    confirmButton: 'swal-btn-blue'
                }
            }).then(function (isConfirmed) {
                if (isConfirmed) {
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(url('admin/user-status')); ?>",
                        data: {
                            _token: "<?php echo e(csrf_token()); ?>",
                            id: id,
                            status: status
                        },
                        success: function (data) {
                            if (data.status === 'success') {
                                swal({
                                    title: "Success!",
                                    text: "User status changed successfully",
                                    icon: "success"
                                }).then(function () {
                                    $('.data-table').DataTable().ajax.reload();
                                });
                            } else {
                                swal("Error!", "Failed to change user status", "error");
                            }
                        },
                        error: function (xhr, status, error) {
                            console.error(xhr.responseText);
                            swal("Error!", "Failed to change user status", "error");
                        }
                    });
                }
            });
        });

        //=================================== Approve / Reject User Registation============================
        $(document).on('change', '.approved', function (e) {
            e.preventDefault();
            var value = $(this).val();
            var id = $(this).attr('id');

            swal({
                title: "Are you sure you want to change status?",
                icon: "info",
                buttons: ["Cancel", "Yes"],
                customClass: {
                    popup: 'swal-popup-white',
                    confirmButton: 'swal-btn-blue'
                }
            }).then(function (isConfirmed) {
                if (isConfirmed) {
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(url('admin/user-approve')); ?>",
                        data: {
                            _token: "<?php echo e(csrf_token()); ?>",
                            value: value,
                            id: id
                        },
                        success: function (data) {
                            if (data.status === 'success') {
                                swal({
                                    title: "Success!",
                                    text: "User status changed successfully",
                                    icon: "success"
                                }).then(function () {
                                    $('.data-table').DataTable().ajax.reload();
                                });
                            } else {
                                swal("Error!", "Failed to change user status", "error");
                            }
                        },
                        error: function (xhr, status, error) {
                            console.error(xhr.responseText);
                            swal("Error!", "Failed to change user status", "error");
                        }
                    });
                }
            });
        });

    </script>

</body>

</html><?php /**PATH /var/www/html/Icontact/resources/views/admin/pages/user.blade.php ENDPATH**/ ?>